Bug 47584 - When adding data, Calc should suggest extending the data range to include it in the chart
Summary: When adding data, Calc should suggest extending the data range to include it ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Data
  Show dependency treegraph
 
Reported: 2012-03-20 06:55 UTC by Thomas Bertels
Modified: 2017-06-14 22:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Bertels 2012-03-20 06:55:00 UTC
Steps to reproduce:

Open Calc
Create a new Spreadsheet (File -> New -> Spreadsheet)

Enter the following data:
- In cell A1: 1
- In cell A2: 2
- In Cell A3: 3

Select cells A1:A3 and insert a column chart (Insert -> Chart... -> Finish)

Click on cell A4 and enter: 4

Expected result:
Calc should ask us if we want to extend the chart data range to include the new data (cell A4) in the chart.

This could be done with floating pop-up. There should be a Yes and a No button and a checkbox to do it each time without asking.
A drop-down list should added to the chart option to be able to change the default behavior.
Comment 1 Not Assigned 2012-05-01 08:29:55 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44d470c71740a6679b154eeec6af7bf352748c16

fdo#47584 add yet another MinGW dll filename pattern
Comment 2 Andras Timar 2012-05-01 11:31:01 UTC
(In reply to comment #1)
> Andras Timar committed a patch related to this issue.
No, it was for bug #47548. Sorry for the noise.
Comment 3 sasha.libreoffice 2012-06-14 01:00:47 UTC
Thanks for new idea
This bugreport describes idea how to solve problem, described in Bug 42196
Comment 4 Joel Madero 2012-07-02 21:41:05 UTC
I have mixed feelings about this one. I think that a pop up message every time could get really annoying. Another solution could be possible though, going to open this up to the devs to see if other solutions can be suggested.
Comment 5 Joel Madero 2012-07-02 21:46:26 UTC
Actually I have a different solution. I think better solution is that you can select entire column(s) and then chart auto adjusts to new entries in the column. This way it's automated instead of having some dialog come up every time you add a new entry.
Comment 6 Thomas Bertels 2012-07-03 00:07:54 UTC
I was thinking about something: why not use a floating icon next to the cells where we added some data, a la Office 2010? Would there be a patent about that?